Last Comment Bug 370099 - places-based bookmarks blockers
: places-based bookmarks blockers
Status: VERIFIED FIXED
: meta
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal with 4 votes (vote)
: Firefox 3 alpha5
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 318817 325342 329281 329842 331307 332965 335512 337868 341350 357316 360133 364644 365405 366136 367623 369813 369887 370013 371076 371077 371219 371798 371800 371814 371827 373719 373721 374139 375108 375297 375417 375629 375665 376253 376726 377066 377500 378904 378921 379211 379986 380011 380317 380689 380801 380979 380990 380999 381042 381052 381129 381145 381208
Blocks: 380996 380997
  Show dependency treegraph
 
Reported: 2007-02-11 15:14 PST by Mano (::mano, needinfo? for any questions; not reading general bugmail)
Modified: 2009-11-26 07:14 PST (History)
25 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
turn it on (484 bytes, patch)
2007-05-15 17:44 PDT, Mano (::mano, needinfo? for any questions; not reading general bugmail)
mconnor: review+
Details | Diff | Splinter Review

Description Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-02-11 15:14:30 PST
tracker for bugs which block turning on places-based bookmarks on trunk.
Comment 1 Wayne Woods 2007-03-25 22:40:59 PDT
It looks to me like bug 374528 is a dupe of this meta. This one is the only one with all the important dependencies set, but that one is set to block bug 374945 (Fx 3 Places meta).
Comment 2 Dietrich Ayala (:dietrich) 2007-03-26 09:56:09 PDT
(In reply to comment #1)
> It looks to me like bug 374528 is a dupe of this meta. This one is the only one
> with all the important dependencies set, but that one is set to block bug
> 374945 (Fx 3 Places meta).
> 

This bug is for tracking bugs that must be fixed before Places bookmarks are turned on by default. Bug 374528 is about backup/restore. How is it a dupe?
Comment 3 Wayne Woods 2007-03-26 16:49:01 PDT
Sorry, I misinterpreted what that bug was about.
Comment 4 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-05-15 17:44:14 PDT
Created attachment 264940 [details] [diff] [review]
turn it on
Comment 5 Dietrich Ayala (:dietrich) 2007-05-17 13:05:53 PDT
nsNavBookmarks::InitDefaults is behind the MOZ_PLACES_BOOKMARKS define, so doesn't get called when sidegrading from non-bookmarks to bookmarks.

when turning on bookmarks, we need to bump the schema version, in order to trigger a full re-initialization of the bookmarks tables.
Comment 6 (not reading, please use seth@sspitzer.org instead) 2007-05-18 19:19:18 PDT
we realized that we don't need to bump the schema (even though I did for bug #371827)

in nsBrowserGlue.js, we have code that checks the browser.places.importBookmarksHTML pref.  if true, we'll force a migration.

that pref defaults to true, and is only set to false after the import succeeds (in nsBrowserGlue.js)

note, that code in nsBrowserGlue.js is behind #ifdef MOZ_PLACES_BOOKMARKS, running the trunk the first time will migrate you, even if the schema version matched.
Comment 7 Mike Connor [:mconnor] 2007-05-18 20:32:15 PDT
Comment on attachment 264940 [details] [diff] [review]
turn it on

let's do it
Comment 8 Al Billings [:abillings] 2007-08-02 17:35:15 PDT
Marking it as verified to get off QA resolved plate and because we're using Places bookmarks now.
Comment 9 Gervase Markham [:gerv] 2009-11-26 07:14:32 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv

Note You need to log in before you can comment on or make changes to this bug.